Skip to main content

Releases

A Release is a single revision or snapshot of your code that you eventually Deploy to a Cohort. A single Release object will contain many Artifacts which are binaries specific to a particular Hardware Version.

Route Parameters

The Release version should be used whenever referencing a Release in an API or URL.

Request Schema

FieldTypeDescription
version
Required
StringShort Version of the Release
Example: "1.2.3"
min_versionStringShort Version of the minimum required version to update to this Release
Example: "1.0.0"
revisionStringCommit reference or hash
Example: "11d95ef20f7a048ce1da1a6891dd3e2f92c89d85"
notesTextClient provided notes (HTML, etc) about the release. Useful for Release Notes
Example: "<ul><li>Fix bug #1234</li></ul>"
extra_infoJSONClient provided metadata about the release
Example: {"anything": "you_want"}

Query Parameters

The following parameters can be used to filter Releases.

Query ParameterTypeDescription
revisionString[]Revision (generally commit hash) of the Release
Example: "11d95ef20f7a048ce1da1a6891dd3e2f92c89d85"
versionString[]Version string of the Release
Example: 1.0.0
hardware_versionString[]Hardware Version that is associated with the Release
Example: -created_date
build_idString[]Filter by Build Identifiers of the Release's Artifacts
Example: 8be26a9f3b9127bc898f34e05a30a9a2c706cf43
sortStringSort keys (listed below)
Example: -created_date

Sort Parameters

Sort ParameterTypeDescription
created_dateDateTimeDate the object was created

Response Schema

{
"data": {
"id": 2,
"created_date": "2019-01-19T05:01:13.000000+00:00",
"updated_date": "2019-01-19T05:01:13.000000+00:00",
"version": "1.2.3",
"min_version": "1.0.0",
"revision": "11d95ef20f7a048ce1da1a6891dd3e2f92c89d85",
"notes": "<h1>Release Notes</h1><ul><li>Fix bug #1234</li><li>New Feature XYX</li></ul>",
"extra_info": {
"anything": "you_want",
"ci_system": "Jenkins",
"build_system": "GNU Make",
"build_time_s": 384,
},
"count_devices": 47
}
}